## org.eclipse.datatools.connectivity.oda.design
Interface DesignerStateContent

    public interface DesignerStateContent

An ODA Designer's private state information; its content is a blackbox to an ODA host.

The following features are supported:

- `State Content As String`
- `State Content As Blob`

See Also:
  `DesignPackage.getDesignerStateContent()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`byte[]` `getStateContentAsBlob()` Returns the value of the 'State Content As Blob' attribute.
`java.lang.String` `getStateContentAsString()` Returns the value of the 'State Content As String' attribute.
`void` `setStateContentAsBlob(byte[] value)` Sets the value of the '`State Content As Blob`' attribute.
`void` `setStateContentAsString(java.lang.String value)` Sets the value of the '`State Content As String`' attribute.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getStateContentAsString

    java.lang.String getStateContentAsString()

  Returns the value of the 'State Content As String' attribute. State content in string format.

  Returns:
    the value of the 'State Content As String' attribute.
  See Also:
    `setStateContentAsString(String)`, `DesignPackage.getDesignerStateContent_StateContentAsString()`

### setStateContentAsString

    void setStateContentAsString(java.lang.String value)

  Sets the value of the '`State Content As String`' attribute.

  Parameters:
    `value` - the new value of the 'State Content As String' attribute.
  See Also:
    `getStateContentAsString()`

### getStateContentAsBlob

    byte[] getStateContentAsBlob()

  Returns the value of the 'State Content As Blob' attribute. State content in binary format.

  Returns:
    the value of the 'State Content As Blob' attribute.
  See Also:
    `setStateContentAsBlob(byte[])`, `DesignPackage.getDesignerStateContent_StateContentAsBlob()`

### setStateContentAsBlob

    void setStateContentAsBlob(byte[] value)

  Sets the value of the '`State Content As Blob`' attribute.

  Parameters:
    `value` - the new value of the 'State Content As Blob' attribute.
  See Also:
    `getStateContentAsBlob()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.